Update Application Filter
curl --request PUT \
--url https://api.lendflow.com/api/filters/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"is_available_for_organization": true,
"data": null,
"columns": null
}
'import requests
url = "https://api.lendflow.com/api/filters/{id}"
payload = {
"name": "b",
"is_available_for_organization": True,
"data": None,
"columns": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'b', is_available_for_organization: true, data: null, columns: null})
};
fetch('https://api.lendflow.com/api/filters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": null,
"name": "Test Filter",
"data": {
"deal_statuses": [
6
]
},
"columns": [
"deal_status"
],
"is_available_for_organization": false,
"sort_order": 0,
"is_visible": false,
"is_pinned": false
}Smartviews
Update Application Filter
Updates a saved application filter’s name, criteria, columns, or organization-wide availability. The built-in “All” filter cannot be renamed.
PUT
/
api
/
filters
/
{id}
Update Application Filter
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the filter.
Body
application/json
Was this page helpful?